<?php

/*******************************************************************************
	ATTENTION: If you are trying to install this manually, you should try
	the package manager. If that does not work, you can run this file by
	accessing it by url. Please ensure it is in the same location as your
	forum's SSI.php file.
*******************************************************************************/

//	Dodo - Boilerplates for posts V3.0
//	For 2.0

//	If SSI.php is in the same place as this file, and SMF isn't defined, this is being run standalone.
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
{
	require_once(dirname(__FILE__) . '/SSI.php');
	$standalone = true;
}
//	Hmm... no SSI.php and no SMF?
elseif (!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s SSI.php.');

//	Make sure that we have the package database functions.
if(!array_key_exists('db_add_column', $smcFunc))
	db_extend('packages');
	
$title = 'Update - "Boilerplates for posts"';
echo '<title>' . $title . '</title>';	

//Update settings!
$value = 'boilerplates';
$value1 = 'boilerplates_global';
$value2 = 'BoilerCon';
$value3 = 'BoilerModCheck';
$value4 = 'BoilerSepCheck';
$value5 = 'BoilerShow';

//Delete old boilerplates permissions from board_permissions
$smcFunc['db_query']('', '
	DELETE FROM {db_prefix}board_permissions
	WHERE permission = {string:permission}',
	array(
		'permission' => $value,
	)
);

$smcFunc['db_query']('', '
	UPDATE {db_prefix}permissions
	SET permission = "boilerplates"
	WHERE permission = {string:value}',
	array(
		'value' => $value1,
	)
);	
	
$smcFunc['db_query']('', '
	UPDATE {db_prefix}settings
	SET variable = "boiler_content"
	WHERE variable = {string:value2}',
	array(
		'value2' => $value2,
	)
);

$smcFunc['db_query']('', '
	UPDATE {db_prefix}settings
	SET variable = "boiler_active"
	WHERE variable = {string:value3}',
	array(
		'value3' => $value3,
	)
);

$smcFunc['db_query']('', '
	UPDATE {db_prefix}settings
	SET variable = "boiler_separator"
	WHERE variable = {string:value4}',
	array(
		'value4' => $value4,
	)
);

$smcFunc['db_query']('', '
	UPDATE {db_prefix}settings
	SET variable = "boiler_show"
	WHERE variable = {string:value5}',
	array(
		'value5' => $value5,
	)
);

$request = $smcFunc['db_query']('', '
	SELECT value, variable
	FROM {db_prefix}settings
	WHERE variable IN ({array_string:var_list})',
	array(
		'var_list' => array(
			'boiler_content',
			'boiler_show',
			'boiler_separator'
		)
	)
);
	
$boiler = array();
	
while ($row = $smcFunc['db_fetch_assoc']($request))
{
	$boiler[$row['variable']] = $row['value'];
}
$smcFunc['db_free_result']($request);


$boiler['boiler_content'] = strtr($boiler['boiler_content'], array("\n" => "~-~", "\r\n" => "~-~"));
$boiler['boiler_show'] = strtr($boiler['boiler_show'], array("\n" => "~-~", "\r\n" => "~-~"));
$boiler['boiler_separator'] = strtr($boiler['boiler_separator'], array("\n" => "-", "\r\n" => "-"));

foreach ($boiler as $key => $bo)
{
	$smcFunc['db_query']('', '
		UPDATE {db_prefix}settings
		SET value = {string:bo}
		WHERE variable = {string:key}',
		array(
			'bo' => $bo,
			'key' => $key,			
		)
	);
}

//	Show a confirmation message, if an upgrade through SSI.php was successful.
if(SMF == 'SSI')
   echo '<p>Database Upgrade Complete!</p>';
   
?>
